<div class="example-container">
  <mat-toolbar style="position: top;">
    <span>Courses</span>&nbsp;
    <button mat-button color="primary" (click)="goNewCourseForm()">
      <mat-icon>add</mat-icon> ADD COURSE
    </button>
  </mat-toolbar>
  <div class="example-loading-shade" *ngIf="isLoadingResults$ | async">
    <mat-spinner *ngIf="isLoadingResults$ | async"></mat-spinner>
  </div>

  <div class="example-table-container">
    <table mat-table [dataSource]="courses$ | async" class="example-table">
      <!-- Id Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>Course ID</th>
        <td mat-cell *matCellDef="let row"><a [routerLink]="routerLink(row.id)">{{ row.id }}</a></td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>Name</th>
        <td mat-cell *matCellDef="let row">{{ row.name }}</td>
      </ng-container>

      <!-- Culture Column -->
      <ng-container matColumnDef="culture">
        <th mat-header-cell *matHeaderCellDef>Culture</th>
        <td mat-cell *matCellDef="let row">{{ CourseCulture[row.culture] }}</td>
      </ng-container>

      <!-- Grade Column -->
      <ng-container matColumnDef="grade">
        <th mat-header-cell *matHeaderCellDef>Grade</th>
        <td mat-cell *matCellDef="let row">{{ CourseGrade[row.grade] }}</td>
      </ng-container>

      <!-- Version State Column -->
      <ng-container matColumnDef="currentVersionState">
        <th mat-header-cell *matHeaderCellDef>State</th>
        <td mat-cell *matCellDef="let row">{{ row.currentVersionState }}</td>
      </ng-container>

      <!-- Version Name Column -->
      <ng-container matColumnDef="currentVersion">
        <th mat-header-cell *matHeaderCellDef>Version</th>
        <td mat-cell *matCellDef="let row">{{ row.currentVersion }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>
  <mat-paginator [length]="resultsLength$ | async" [pageSize]="30"></mat-paginator>
</div>
